4Suite™ API Documentation

# ► Module Ft.Rdf.Inference.Predicate

WWW: http://4suite.org/4RDF e-mail: support@4suite.org
Copyright (c) 1999 Fourthought Inc, USA. All Rights Reserved.
See http://4suite.org/COPYRIGHT for license and copyright information

Classes: AndDualPredicate, AndMixin, AndSinglePredicate, DualPredicate, NotDualPredicate, NotMixin, NotSinglePredicate, OrDualPredicate, OrMixin, OrSinglePredicate, Predicate, SinglePredicate

## Classes

class AndDualPredicate(DualPredicate, AndMixin)

### Methods inherited from class DualPredicate

__init__, execute

### Methods inherited from class Ft.Rdf.Inference.Query.DualQuery

query

### Methods inherited from class AndMixin

mergeSkolemVariables, primeContext

class AndMixin

### Methods

mergeSkolemVariables(self, context, state, resultInfo)
primeContext(self, context)

class AndSinglePredicate(SinglePredicate, AndMixin)
################Create all of the mixins##########################

### Methods inherited from class SinglePredicate

__init__, execute

### Methods inherited from class Ft.Rdf.Inference.Query.SingleQuery

query

### Methods inherited from class AndMixin

mergeSkolemVariables, primeContext

class DualPredicate(Predicate, Ft.Rdf.Inference.Query.DualQuery)
Stored in RDF Model as triple. For instance ate(X, Y), if the ate predicate is in the http://spam.com namespace and the UUID of the X resource is 132ad72a-f1e0-4482-82e3-e7d790d4f56 and the UUID of the Y resource is 23bd4d35-afa1-4be1-8d80-e34bbed9db7d is mapped to (urn:uuid:132ad72a-f1e0-4482-82e3-e7d790d4f56, http://spam.com#ate, 23bd4d35-afa1-4be1-8d80-e34bbed9db7d)

### Methods

__init__(self, id_, arguments)
execute(self, infEng, context)

### Methods inherited from class Ft.Rdf.Inference.Query.DualQuery

query

class NotDualPredicate(DualPredicate, NotMixin)

### Methods inherited from class DualPredicate

__init__, execute

### Methods inherited from class Ft.Rdf.Inference.Query.DualQuery

query

### Methods inherited from class NotMixin

mergeSkolemVariables, primeContext

class NotMixin

### Methods

mergeSkolemVariables(self, context, state, resultInfos)
primeContext(self, context)

class NotSinglePredicate(SinglePredicate, NotMixin)

### Methods inherited from class SinglePredicate

__init__, execute

### Methods inherited from class Ft.Rdf.Inference.Query.SingleQuery

query

### Methods inherited from class NotMixin

mergeSkolemVariables, primeContext

class OrDualPredicate(DualPredicate, OrMixin)

### Methods inherited from class DualPredicate

__init__, execute

### Methods inherited from class Ft.Rdf.Inference.Query.DualQuery

query

### Methods inherited from class OrMixin

mergeSkolemVariables, primeContext

class OrMixin

### Methods

mergeSkolemVariables(self, context, state, resultInfos)
primeContext(self, context)

class OrSinglePredicate(SinglePredicate, OrMixin)

### Methods inherited from class SinglePredicate

__init__, execute

### Methods inherited from class Ft.Rdf.Inference.Query.SingleQuery

query

### Methods inherited from class OrMixin

mergeSkolemVariables, primeContext

class Predicate

### Methods

__init__(self, id_, arguments)

class SinglePredicate(Predicate, Ft.Rdf.Inference.Query.SingleQuery)
Stored in RDF Model as triple. For instance hungry(X), if the hungry predicate is in the http://spam.com namespace and the UUID of the X resource is 132ad72a-f1e0-4482-82e3-e7d790d4f56 is mapped to (http://spam.com#hungry, urn:uuid:132ad72a-f1e0-4482-82e3-e7d790d4f56, 1)

### Methods

__init__(self, id_, arguments)
execute(self, infEng, context)

### Methods inherited from class Ft.Rdf.Inference.Query.SingleQuery

query